Data Structures | Macros | Typedefs
sound-theme.h File Reference

Purple Sound Theme Abstact Class API. More...

`#include <glib.h>`
`#include <glib-object.h>`
`#include "theme.h"`
`#include "sound.h"`

Go to the source code of this file.

## Data Structures
struct | _PurpleSoundTheme
struct | _PurpleSoundThemeClass

## Macros
#define | PURPLE_TYPE_SOUND_THEME (purple_sound_theme_get_type())
#define | PURPLE_SOUND_THEME(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_SOUND_THEME, PurpleSoundTheme))
#define | PURPLE_SOUND_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), PURPLE_TYPE_SOUND_THEME, PurpleSoundThemeClass))
#define | PURPLE_IS_SOUND_THEME(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), PURPLE_TYPE_SOUND_THEME))
#define | PURPLE_IS_SOUND_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), PURPLE_TYPE_SOUND_THEME))
#define | PURPLE_SOUND_THEME_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), PURPLE_TYPE_SOUND_THEME, PurpleSoundThemeClass))

## Typedefs
typedef struct _PurpleSoundTheme | PurpleSoundTheme
| extends PurpleTheme (theme.h) A purple sound theme. More...
typedef struct _PurpleSoundThemeClass | PurpleSoundThemeClass

## Functions
Purple Sound Theme API
G_BEGIN_DECLS GType | purple_sound_theme_get_type (void)
| GObject foo.
const gchar * | purple_sound_theme_get_file (PurpleSoundTheme *theme, const gchar *event)
| Returns a copy of the filename for the sound event. More...
gchar * | purple_sound_theme_get_file_full (PurpleSoundTheme *theme, const gchar *event)
| Returns a copy of the directory and filename for the sound event. More...
void | purple_sound_theme_set_file (PurpleSoundTheme *theme, const gchar *event, const gchar *filename)
| Sets the filename for a given sound event. More...

## Detailed Description

Purple Sound Theme Abstact Class API.

Definition in file sound-theme.h.

## Typedef Documentation

## ◆ PurpleSoundTheme

typedef struct _PurpleSoundTheme PurpleSoundTheme

extends PurpleTheme (theme.h) A purple sound theme.

This is an object for Purple to represent a sound theme.

PurpleSoundTheme is a PurpleTheme Object.

Definition at line 41 of file sound-theme.h.

## Function Documentation

## ◆ purple_sound_theme_get_file()

const gchar* purple_sound_theme_get_file | ( | PurpleSoundTheme * | theme,
|  | const gchar * | event
| ) |  |

Returns a copy of the filename for the sound event.

Parameters

  theme | The theme.
  event | The purple sound event to look up.

Returns
  The filename of the sound event.

## ◆ purple_sound_theme_get_file_full()

gchar* purple_sound_theme_get_file_full | ( | PurpleSoundTheme * | theme,
|  | const gchar * | event
| ) |  |

Returns a copy of the directory and filename for the sound event.

Parameters

  theme | The theme.
  event | The purple sound event to look up

Returns
  The directory + '/' + filename of the sound event. This is a newly allocated string that should be freed with g_free.

## ◆ purple_sound_theme_set_file()

void purple_sound_theme_set_file | ( | PurpleSoundTheme * | theme,
|  | const gchar * | event,
|  | const gchar * | filename
| ) |  |

Sets the filename for a given sound event.

Parameters

  theme | The theme.
  event | the purple sound event to look up
  filename | the name of the file to be used for the event